SFML 2.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

Classes | Enumerations
Window module

Provides OpenGL-based windows, and abstractions for events and input handling. More...

## Classes

class | sf::Context
| Class holding a valid drawing context. More...
class | sf::ContextSettings
| Structure defining the settings of the OpenGL context attached to a window. More...
class | sf::Event
| Defines a system event and its parameters. More...
class | sf::GlResource
| Base class for classes that require an OpenGL context. More...
class | sf::Joystick
| Give access to the real-time state of the joysticks. More...
class | sf::Keyboard
| Give access to the real-time state of the keyboard. More...
class | sf::Mouse
| Give access to the real-time state of the mouse. More...
class | sf::Sensor
| Give access to the real-time state of the sensors. More...
class | sf::Touch
| Give access to the real-time state of the touches. More...
class | sf::VideoMode
| VideoMode defines a video mode (width, height, bpp) More...
class | sf::Window
| Window that serves as a target for OpenGL rendering. More...

## Enumerations

enum | { sf::Style::None = 0, sf::Style::Titlebar = 1 << 0, sf::Style::Resize = 1 << 1, sf::Style::Close = 1 << 2, sf::Style::Fullscreen = 1 << 3, sf::Style::Default = Titlebar | Resize | Close }
| Enumeration of the window styles. More...

## Detailed Description

Provides OpenGL-based windows, and abstractions for events and input handling.

## Enumeration Type Documentation

anonymous enum

Enumeration of the window styles.

Enumerator
None | No border / title bar (this flag and all others are mutually exclusive)
Titlebar | Title bar + fixed border.
Resize | Title bar + resizable border + maximize button.
Close | Title bar + close button.
Fullscreen | Fullscreen mode (this flag and all others are mutually exclusive)
Default | Default window style.

Definition at line 38 of file WindowStyle.hpp.